Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0046556
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Gift cards and gift vouchersmajoralways2021-05-06 15:382021-05-12 06:29
ReporterguillermogilView Statuspublic 
Assigned Torqueralta 
PriorityurgentResolutionfixedFixed in VersionRR21Q3
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression levelProduction - Confirmed Stable
Regression date2020-08-04
Regression introduced in releaseRR20Q4
Regression introduced by commithttps://gitlab.com/openbravo/product/pmods/org.openbravo.retail.giftcards/-/commit/b9a457a4d9164fc248b50231345663bfb4b82258#60cdf603705f71dff9230c8fa90bb8c8ab277163_117_121 [^]
Triggers an Emergency PackNo
Summary

0046556: OB.UI.GiftCardUtils.updatePaymentMethodCashUp does not exist

DescriptionThere is a problem when creating gift certificates, if the payment method is marked to be counted in the cashup. The error happens because a missing JS function is being called:

OB.UI.GiftCardUtils.updatePaymentMethodCashUp does not exist
https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.giftcards/-/blob/master/web/org.openbravo.retail.giftcards/js/components/GiftCardCertificate.js#L131 [^]

TypeError: OB.UI.GiftCardUtils.updatePaymentMethodCashUp is not a function

Steps To ReproduceSearch for that function and there is no definition.

It fails when creating a gift certificate, if the payment method is marked to be counted in the cashup.
Proposed SolutionThis part was refactored as part of the IndexedDB changes here:

https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.giftcards/-/commit/4f8b5f7b89f808520bf2d843cd684ecea564ecf5 [^]

However, in the subsequent merge part of the change was reverted, causing the regression:

https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.giftcards/-/commit/b9a457a4d9164fc248b50231345663bfb4b82258#60cdf603705f71dff9230c8fa90bb8c8ab277163_117_121 [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0046559RR21Q2 closedRetail OB.UI.GiftCardUtils.updatePaymentMethodCashUp does not exist 
depends on backport 0046560RR21Q1.2 closedRetail OB.UI.GiftCardUtils.updatePaymentMethodCashUp does not exist 
depends on backport 0046561RR20Q4.4 closedRetail OB.UI.GiftCardUtils.updatePaymentMethodCashUp does not exist 

-  Notes
(0127871)
hgbot (developer)
2021-05-07 06:43

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.giftcards/-/merge_requests/56 [^]
(0127904)
hgbot (developer)
2021-05-07 15:23

Merge request closed: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.giftcards/-/merge_requests/56 [^]
(0127956)
hgbot (developer)
2021-05-10 15:59

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.giftcards/-/merge_requests/57 [^]
(0128016)
hgbot (developer)
2021-05-12 06:29

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.giftcards [^]
Changeset: 79713b504d5833fa8872802914e053c5e5486c6b
Author: Rafael Queralta <rafaelcuba81@gmail.com>
Date: 2021-05-12T04:29:01+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.giftcards/-/commit/79713b504d5833fa8872802914e053c5e5486c6b [^]

Fix BUG-46556: Restored deleted changes to a previous mix

---
M web/org.openbravo.retail.giftcards/js/components/GiftCardCertificate.js
---
(0128017)
hgbot (developer)
2021-05-12 06:29

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.giftcards/-/merge_requests/57 [^]

- Issue History
Date Modified Username Field Change
2021-05-06 15:38 guillermogil New Issue
2021-05-06 15:38 guillermogil Assigned To => Retail
2021-05-06 15:38 guillermogil Triggers an Emergency Pack => No
2021-05-06 15:52 marvintm Regression level => Production - Confirmed Stable
2021-05-06 15:52 marvintm Regression date => 2020-06-15
2021-05-06 15:52 marvintm Regression introduced in release => RR20Q4
2021-05-06 15:52 marvintm Regression introduced by commit => https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.giftcards/-/commit/4f8b5f7b89f808520bf2d843cd684ecea564ecf5 [^]
2021-05-06 15:52 marvintm Status new => scheduled
2021-05-06 16:00 marvintm Description Updated View Revisions
2021-05-06 16:00 marvintm Steps to Reproduce Updated View Revisions
2021-05-06 16:00 marvintm Proposed Solution updated
2021-05-06 16:09 marvintm Regression date 2020-06-15 => 2020-08-04
2021-05-06 16:09 marvintm Regression introduced by commit https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.giftcards/-/commit/4f8b5f7b89f808520bf2d843cd684ecea564ecf5 [^] => https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.giftcards/-/commit/b9a457a4d9164fc248b50231345663bfb4b82258#60cdf603705f71dff9230c8fa90bb8c8ab277163_117_121 [^]
2021-05-06 16:09 marvintm Proposed Solution updated
2021-05-06 16:37 rqueralta Assigned To Retail => rqueralta
2021-05-07 06:43 hgbot Note Added: 0127871
2021-05-07 15:23 hgbot Note Added: 0127904
2021-05-10 15:59 hgbot Note Added: 0127956
2021-05-12 06:29 hgbot Note Added: 0128016
2021-05-12 06:29 hgbot Note Added: 0128017
2021-05-12 06:29 marvintm Status scheduled => resolved
2021-05-12 06:29 marvintm Fixed in Version => RR21Q3
2021-05-12 06:29 marvintm Resolution open => fixed
2021-05-12 06:29 marvintm Review Assigned To => marvintm
2021-05-12 06:29 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker